---
title: DOCUMENTS REPOSITORY README
author: Decentralized Climate Foundation
date: 2022-02-04
category: README
layout: post
---

:space_invader:
[![GNUv1.3 License](https://img.shields.io/badge/License-GNU%20v1.3-yellow.svg)](https://opensource.org/licenses/) [![GitHub contributors](https://img.shields.io/github/contributors/decentralizedclimate/docs.svg?style=flat)]() :space_invader:

## :computer:  Introduction :computer:

The purpose of the following document is to decentralize a static website using various free tools and services.
> This is how the website was created.

## Previous knowledge. :card_file_box:

* Knowledge of Git and GitHub.
* Having previously read the Jekyll documentation.
* Basic concepts about IPFS.
* Access to [Fleek](https://fleek.co/) account or creating one.
* You must have installed [Rubygems](https://rubygems.org/pages/download) (check your Gems version using gem -v),[GCC, and Make](https://www.delftstack.com/es/howto/linux/how-to-install-gcc-compiler-on-ubuntu/) (check versions using gcc -v, g++ -v, and make -v), as well as [Ruby 2.5.0](https://www.ruby-lang.org/es/documentation/installation/) (check your Ruby version using ruby -v).

## :scroll:  Installation :scroll:

### :notebook:  Cheatsheet :notebook:

The [**docs**](https://githubcom/DECENTRALIZEDCLIMATE/docs) project from the Decentralized Foundation repository is cloned to the local machine.

```linux=
git clone https://github.com/DECENTRALIZEDCLIMATE/docs.git
```

The respective dependencies such as ruby and jekyll were installed.

After we have the repository, the template for the webpage is downloaded and implemented within the downloaded repository.

[**Template Dowload**](https://github.com/sighingnow/jekyll-gitbook)

We can use the terminal to download the template faster, and thus have the complete directory without errors.


```linux
git clone https://github.com/sighingnow/jekyll-gitbook.git
```

The image shows the replacement of the template files (jekyll-gitboo) in our "docs" file.

![](/assets/Readme/13.32.37.png)

Next, we need to add the .md files from our "docs" folder to the posts on the page. To do this, we must edit each file with its respective header, as shown below, and give it a name that will make it easier for us to keep track of [date-name-language].

Do not forget to respect the format of the template, as well as using the guide posts that come with the same template as examples, in case you have doubts about how to edit the document.

![](/assets/Readme/14.11.21.png)
![](/assets/Readme/14.18.39.png)

We must properly edit the title (this will be the main title, the others will be subtitles, if using .md, ## should be used for editing the remaining text), the creation date, author, category, and layout.

When we have the files edited with their respective header, we must move the files to "posts" so that when we launch the page, we can visualize the desired change.

![](/assets/Readme/14.34.15.png)

We can go to the URL of our server and we will be able to see that the changes have been made.

![](/assets/Readme/13.32.37.png)



### License. :mechanical_arm:
```
Copyright (C) DECENTRALIZED CLIMATE FOUNDATION A.C.
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.3
or any later version published by the Free Software Foundation;
with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
A copy of the license is included in the section entitled "GNU
Free Documentation License". 
```

### Contact: :calling:

[Decentralized Climate Foundation](https://t.me/decentralizedclimate)


### Author:
> Work developed in collaboration with the [Decentralized Climate Foundation](https://decentralizedclimate.org).

  Autor:
- [Gustavo Bermudez](mailto:nizaries44@gmail.com)

